List webhooks
Returns a paginated list of the organization's webhook endpoints with each endpoint's delivery counts, optionally filtered by name search and status.
Returns a paginated list of the organization's webhook endpoints with each endpoint's delivery counts, optionally filtered by name search and status.
Authorization
apiKey x-api-key<token>
In: header
Query Parameters
page?string|null
limit?string|null
search?string|null
status?|null
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/webhooks"{ "items": [ { "id": "string", "name": "string", "url": "string", "eventTypes": [ "message.sent" ], "channels": [ "email" ], "status": "active", "hasCustomHeaders": true, "failureStartedAt": "string", "lastSucceededAt": "string", "createdAt": "string", "updatedAt": "string", "deliveries": { "total": 0, "pending": 0, "delivered": 0, "exhausted": 0, "cancelled": 0 } } ], "pagination": { "page": 0, "limit": 0, "total": 0, "totalPages": 0 }}